<html>
<div th:replace="/fragments/base :: head"></div>
<style>
  table {
    border-collapse:separate;
    border-spacing: 0 1em;
  }

  .error {
    color: red;
  }
</style>
<body>
<div class="container">
  <div class="row">
    <div class="col">
      <div th:replace="/fragments/header"></div>
      <form class="mt-3" action="#" th:action="@{/}" th:object="${dentistVisitDTO}" method="post">
        <table>
          <tr>
            <td><p th:text="#{dentist.name}">dentist.name</p></td>
            <td>
              <select class="form-control" th:field="*{dentistId}" id="dentist-select">
                <option th:each="dentist : ${dentists}" th:value="${dentist.id}"
                        th:text="${dentist.name}"></option>
              </select>
            </td>
            <td th:if="${#fields.hasErrors('dentistId')}" th:errors="*{dentistId}" class="error">name.error</td>
          </tr>
          <tr>
            <td><p th:text="#{visit.date}">visit.date</p></td>
            <td><input type="datetime-local" th:field="*{visitTime}"/></td>
            <td th:if="${#fields.hasErrors('visitTime')}" th:errors="*{visitTime}" class="error">date.error</td>
          </tr>
          <tr>
            <td>
              <button type="submit" th:text="#{register.visit}" class="btn btn-primary mt-2"></button>
            </td>
          </tr>
        </table>
      </form>
    </div>
  </div>
</div>
</body>
</html>